// Persistence of Vision Ray Tracer Scene Description File
// File: cobstone.inc
// Vers: 3.1
// Desc: For the Internet Ray Tracing Competition
// Date: 02/27/99
// Auth: Bob Franke
//

#version 3.1;
#declare oneStone=
superellipsoid { <.1, .075>  scale<1,.5,.5>
  texture {    
    pigment{color rgb <0.62, 0.45, 0.37>*1.5}  
    normal {bumps 0.25 scale <.1,.3,.1>} 
    finish {ambient .22  diffuse .6 specular 0.5 roughness 0.15 crand 0.2} 
  }
}   

// add some cobble stones
#ifndef (test)
  #declare R1 = seed(12345);
  #declare R2 = seed(45);
  #declare R3 = seed(11145);
  #declare xoffset=1.0;
  #declare xx = -20;
  #declare zz = 3;
  #while (zz > -18)
    #declare xx = -20;
    #while (xx < 20)
       object{oneStone  
         rotate<0,rand(R2)*4,rand(R2)*4> 
         translate<xx+xoffset,-.55 + rand(R1)/10,zz>
       }
       #declare xx = xx + 2;
    #end
    #if (xoffset=1)
      #declare xoffset=0;
    #else
      #declare xoffset=1;
    #end
    #declare zz=zz-1;    
  #end 
#end 