// Persistence of Vision Ray Tracer Scene Description File
// File: hellgate.pov
// Vers: 3.1
// Desc: For the Internet Ray Tracing Competition
// Date: 02/27/99
// Auth: Bob Franke
//

#version 3.1;
#include "finish.inc"
#include "colors.inc"
#include "colors.inc"
#include "textures.inc"
#include "metals.inc" 
#include "xtexture.inc"

//#declare test=1;  
//#declare noWoman=1;
//#declare noGateKeeper=1;
//#declare noFog=1;
                       
         
global_settings{
  assumed_gamma 2.2   
  max_trace_level 10
}


camera{
  location  <-11, 5, -39>
  direction 1.5
  right     4/3*x
  look_at   <-.25, 7,  0.0>
}

light_source{
  0*x // light's position (translated below)
  color White*1.5  // light's color
  translate <-50,1000,-10> 
}  

  
light_source{
  0*x // light's position (translated below)
  color White*.45  // light's color
  translate <1.5-11, 5, -36> 
  #ifndef (test)
    fade_distance 28
    fade_power(2)
  #end 
}   

#ifndef (test)
  light_source{
    0*x // light's position (translated below)
    color rgb<1.3,0.40,0.00>*2*.85  // light's color
    translate <2000,-450,11200> 
    fade_distance 3000
    fade_power(2)  
  }    

  light_source{
    0*x // light's position (translated below)
    color rgb<1.3,0.430,0.00>*1.75*.85  // light's color
    translate <1200,-450,9000>  
    fade_distance 3000
    fade_power(2)  
  }   

  #ifndef(noFog)
    fog { 
      distance 8000
      color LightSteelBlue *.45*.525
      fog_type 2
      fog_offset -550
      fog_alt 1500
        turbulence .8
        omega 0.25
    }
      
       
    fog { 
      distance 13000
      color LightSteelBlue *.45*.525
      fog_type 2
      fog_offset -550
      fog_alt 1500
        turbulence .8
        omega 0.25
    }
  #end
#end

 
object{
  plane { y, -.1}
  clipped_by{plane{z,0}}
  texture{
    pigment{color rgb <0.62, 0.45, 0.37>*2}  
    normal {bumps 0.25 scale<1,.06,1>} 
    finish {roughness 0.15 crand 0.05}          
  }  
}


#ifndef (test)
  #ifndef (noWoman)
    #include "woman.inc"
  #end 
#end                               

#ifndef (test)
  #ifndef (noGateKeeper)
    #include "keeper3.inc"   
    #include "clothes.inc"
    object{
      keeper translate<0,.436125,0>  
      scale 7.5 rotate<0,-120,0> 
      translate<2.37,0,-1.37>
    }                 
    object{
      clothes translate<0,.416125,0.0065>  scale <7.5,7.5,7.5>*1.06 
      clipped_by{plane{y, 0 } rotate<30,0,0> translate<0,3.56,0>}    
      rotate<0,-120,0> translate<2.37,0,-1.37>
    }
  #end
#end


#include "portal.inc"
#include "cobstone.inc"
#include "flames.inc"  
#include "htfields.inc"
#include "bell.inc"   


//+A0.5