// Persistence of Vision Ray Tracer Scene Description File
// File: xtexture.inc
// Vers: 3.1
// Desc: For the Internet Ray Tracing Competition
// Date: 02/27/99
// Auth: Bob Franke

#version 3.1;  

#include "finish.inc"
#include "colors.inc"
#include "colors.inc"
#include "textures.inc"
  
#declare xDull = finish {specular 0.25 roughness 0.1}
#declare xDull2 = finish {specular 0.15 roughness 0.15}  


#ifndef (test)
  #declare xRusty_Iron = 
  texture {
    pigment {
      granite
      color_map {
        [0.0 rgb <0.42, 0.20, 0.20>*1.2]
        [0.5 rgb <0.50, 0.50, 0.02>*1.2]
        [0.6 rgb <0.60, 0.20, 0.20>*1.2]
        [0.6 rgb <0.30, 0.20, 0.20>*1.2]
      }
    }
    finish { ambient 0.2 diffuse 0.6 }
    normal { wrinkles 1 scale 0.1 }
  }
  
  #declare stoneCracks = 
  pigment {
    marble
    turbulence .5
    color_map {
      [0.0 rgbf <1,1,1,1>]
      [0.985 rgbf <1,1,1,1>]
      [0.985 rgbf <.1,.1,.1,0>]
      [1.0 rgbf <0,0,0,0>]
    }
  }
        
  
  #declare stone =
  texture {
    pigment {
      marble
      turbulence 1               
      color_map {
        [0.0 color Gray70]
        [0.3 color Gray70]
        [0.5 color rgb <0.9, 0.75, 0.65>]
        [1.0 color rgb <0.9, 0.75, 0.65>] 
      }
      scale 0.2
    }
    normal {granite 1.8}
    finish {xDull crand 0.2}
  }
  
  #declare stone2 =
  texture {
    pigment {
      marble
      turbulence 1
      color_map {
        [0.0 color Gray70]
        [0.3 color Gray70]
        [0. color rgb <0.9, 0.75, 0.65>]
        [1.0 color rgb <0.9, 0.75, 0.65>] 
      }
      scale 0.2
    }
    normal {granite 8}
    finish {xDull2 crand 0.3}
  }
  
  #declare stone3 =
  texture {
    pigment {
      marble
      turbulence 1
      color_map {
        [0.0 color Gray70]
        [0.3 color Gray70]
        [0. color rgb <0.9, 0.75, 0.65>]
        [1.0 color rgb <0.9, 0.75, 0.65>] 
      }
      scale 0.2
    }
    normal {granite 16}
    finish {xDull2 crand 0.3}
  }
#else
  #declare xRusty_Iron = texture{pigment {color rgb<0.60, 0.20, 0.20>*1.375}}
  #declare stone= texture{pigment{White*.8}}
  #declare stone2= texture{pigment{White*.6}}  
  #declare stone3= texture{pigment{White*.8}}  
  #declare stoneCracks = pigment { color rgbf<1,1,1,1>}
#end


